Bug 70379 - Cannot resize columns with protected cells / Calc does not respect users' permissions
Summary: Cannot resize columns with protected cells / Calc does not respect users' per...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Protection Cell-Management
  Show dependency treegraph
 
Reported: 2013-10-11 15:42 UTC by Roman Polach
Modified: 2017-07-20 08:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
XLS document with protected A1:D2 cells and protected sheet but with all permissions granted (13.50 KB, application/vnd.ms-excel)
2013-10-11 15:42 UTC, Roman Polach
Details
Screenshot (1) of sheet protecting dialog with all permissions checked (14.49 KB, image/png)
2013-10-11 15:43 UTC, Roman Polach
Details
Screenshot (2) of successful column resize in Excel XP(2002) (7.32 KB, image/png)
2013-10-11 15:44 UTC, Roman Polach
Details
Screenshot (3) of error message when trying to resize column in LO Calc 4.1.2 final (17.15 KB, image/png)
2013-10-11 15:44 UTC, Roman Polach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Polach 2013-10-11 15:42:24 UTC
Created attachment 87458 [details]
XLS document with protected A1:D2 cells and protected sheet but with all permissions granted

I have created XLS document with
  * protected 8 cells A1:D2
  * unprotected all other cells
  * the sheet was protected and all listed users' permissions was granted
by Excel XP (2002)
... XLS document attached

In Excel XP/2002 or newer,
user can resize any column including A, B, C and D because
such permission (formatting columns) was granted while protecting the sheet.
... screenshot of resizing column in Excel attached

But when this XLS is opened in Calc (even in LibreOffice 4.1.2 version),
user cannot resize columns A, B, C and D.
LibreOffice Calc does not respect those permissions and I see no way
to resize columns in this document while still have content of that
8 cells protected.
... screenshot of error message when trying to resize column in Calc attached
Comment 1 Roman Polach 2013-10-11 15:43:30 UTC
Created attachment 87459 [details]
Screenshot (1) of sheet protecting dialog with all permissions checked
Comment 2 Roman Polach 2013-10-11 15:44:09 UTC
Created attachment 87460 [details]
Screenshot (2) of successful column resize in Excel XP(2002)
Comment 3 Roman Polach 2013-10-11 15:44:50 UTC
Created attachment 87461 [details]
Screenshot (3) of error message when trying to resize column in LO Calc 4.1.2 final
Comment 4 QA Administrators 2016-02-21 08:36:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21
Comment 5 Geoffrey 2016-02-21 10:33:31 UTC
This is still an issue in LibreOffice 5.0.4.
Comment 6 QA Administrators 2017-03-06 15:32:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306
Comment 7 Geoffrey 2017-03-06 17:36:24 UTC
Still valid for recent LO.
Comment 8 Roman Polach 2017-03-15 08:05:16 UTC
Confirming that the issue is still present in Calc 5.3.0.3.